#### D.8.7.2 veronese

Procedure from library `recover.lib` (see recover_lib).

Usage:
  veronese(d,p); int d, list p

Return:
  ideal: the image of the point p under the degree d Veronese embedding

Note:
  The list p should have as many elements as there are ring variables. The order of the points in the returned ideal corresponds to the order of the monomials in maxideal(d).

Example:

    LIB "recover.lib";
    ring R=0,(x,y,z),dp;
    list p=2,3,5;
    ideal V=veronese(1,p);
    V;
    V=veronese(2,p);
    V;

See also: maxideal.

User manual for Singular version 4.4.1, 2025, generated by texi2html.